import { 
  select, 
  csv, 
  max } from 'd3';

import { barChars } from '/barChars';

const svg = select('svg');
const height = +svg.attr('height');
const width = +svg.attr('width');
let novoData = null;

let selectedBar = null;
const onHover = (name) => {
  selectedBar = name;
	console.log(selectedBar);
  render(novoData);
};

const render = (data) => {
	barChars(data, svg, {
    height,
    width,
    selectedBar,
    onHover
  });
}


csv('overwatch.csv').then((data) => {
	data.forEach((d) => {
  	d.dif = +d.dif;
  });
  novoData = data;
	render(data);
});